
QGIS Application - Bug report #21526

QGIS crashed on close

2019-03-08 03:46 PM - Peet Whittaker

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29342

Description

User Feedback

QGIS crashed when closing the application (via the Close Window button)

Report Details

Crash ID: 5f850e77b5490cc990039d6e7146325e45fa4385

Stack Trace

QObject::inherits :

PyInit_sip :

PyInit_QtCore :

PyInit_QtCore :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaObject::activate :

PyInit_QtCore :

PyInit_QtCore :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::close_helper :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyEval_EvalCodeEx :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgsPluginRegistry::unloadAll :

QgisApp::saveWindowState :

QMetaObject::activate :

QCoreApplicationPrivate::execCleanup :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.5-Madeira

QGIS code revision: commit:89ee6f6e23

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-03-08 04:02 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Try create a new QGIS profile, then try again without installing any 3rd party plugins.

#2 - 2019-03-08 04:41 PM - Peet Whittaker

Giovanni Manghi wrote:

Try create a new QGIS profile, then try again without installing any 3rd party plugins.

Unfortunately the problem isn't reliably reproducible - it seems to occur at random. For example, I just opened a new instance of QGIS (using my normal

profile w/ plugins), added a couple of raster/vector layers and then closed QGIS without issue.
I will do as you suggest, but I rely on some of the 3rd party plugins for my work, so I won't be able to do too much testing.

#3 - 2019-03-08 04:50 PM - Giovanni Manghi

Peet Whittaker wrote:

Giovanni Manghi wrote:

Try create a new QGIS profile, then try again without installing any 3rd party plugins.

Unfortunately the problem isn't reliably reproducible - it seems to occur at random. For example, I just opened a new instance of QGIS (using my

normal profile w/ plugins), added a couple of raster/vector layers and then closed QGIS without issue.

I will do as you suggest, but I rely on some of the 3rd party plugins for my work, so I won't be able to do too much testing.

the fact is that there are several QGIS 3rd party plugins that are not well written and may cause any sort of issues.

We must separate what are the QGIS core issues and the ones caused by 3rd party tools.

#4 - 2019-03-23 01:08 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.

2025-12-15 3/3


